2.5.31 qlogic error "this should not happen"

2.5.31 qlogic error "this should not happen"

Post by rwh.. » Sat, 24 Aug 2002 09:50:05



Quote:> i forward-ported their (beta) driver to 2.5 and posted the diff to l-k at
> the time.

The qlogic (beta) driver is good for 10-20% throughput and lower latency
in the tests I run.  I'd love to see the qlogic patch + your
http://marc.theaimsgroup.com/?l=linux-kernel&m=102643109230093&w=2
patch in 2.5.

--
Randy Hron
http://home.earthlink.net/~rwhron/kernel/bigbox.html

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

2.5.31 qlogic error "this should not happen"

Post by rwh.. » Sat, 24 Aug 2002 10:10:05


Quote:> Try applying the attached patch and see if it helps you out any.

Thanks Doug.  I'm running your patch now.  It takes about 8-12 hours
to get past bonnie++.  So far, so good.

--
Randy Hron
http://home.earthlink.net/~rwhron/kernel/bigbox.html

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

2.5.31 qlogic error "this should not happen"

Post by rwh.. » Sat, 24 Aug 2002 20:30:07


Quote:> Try applying the attached patch and see if it helps you out any.

The box locked up while running bonnie++ with the patch.
One difference was without the patch, it printed the
"this should not happen" 9 times.  With the patch, it printed
54 times (6 times more), if that's any kind of clue.

I'm trying Eric's suggestion to change QLOGICFC_REQ_QUEUE_LEN
from 127 to 255 on top of your patch.

--
Randy Hron
http://home.earthlink.net/~rwhron/kernel/bigbox.html

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

2.5.31 qlogic error "this should not happen"

Post by rwh.. » Tue, 27 Aug 2002 04:20:05


Quote:> I occasionally saw that error on our 2.4 RAID system; it went away when I
> increased the size of the handles array in qlogicfc.h:

-#define QLOGICFC_REQ_QUEUE_LEN  127 /* must be power of two - 1 */
+#define QLOGICFC_REQ_QUEUE_LEN  255 /* must be power of two - 1 */

That change in addition to Doug's patch in
http://marc.theaimsgroup.com/?l=linux-kernel&m=103005703808312&w=2
have done the trick. 2.5.31-mm1-dl-ew completed the 54 hour
benchmarathon. (first 2.5 kernel to finish).

Details at:
http://home.earthlink.net/~rwhron/kernel/bigbox.html
--
Randy Hron

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

2.5.31 qlogic error "this should not happen"

Post by Patrick Mansfiel » Wed, 28 Aug 2002 04:40:13



> > I occasionally saw that error on our 2.4 RAID system; it went away when I
> > increased the size of the handles array in qlogicfc.h:

> -#define QLOGICFC_REQ_QUEUE_LEN  127 /* must be power of two - 1 */
> +#define QLOGICFC_REQ_QUEUE_LEN  255 /* must be power of two - 1 */

> That change in addition to Doug's patch in
> http://marc.theaimsgroup.com/?l=linux-kernel&m=103005703808312&w=2
> have done the trick. 2.5.31-mm1-dl-ew completed the 54 hour
> benchmarathon. (first 2.5 kernel to finish).

> Details at:
> http://home.earthlink.net/~rwhron/kernel/bigbox.html
> --
> Randy Hron

That's a huge amount of data. Can you show cat /proc/scsi/scsi of the machine
(as well as the lspci etc)?

Does RAID-5 mean you have a storage array attached? i.e. IBM 3542, fastt 200?

It looks like the latest qlogic qla driver includes 2.5.x support,
I haven't tried it but will at some time:

http://download.qlogic.com/drivers/5639/qla2x00-v6.1b5-dist.tgz

-- Patrick Mansfield
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

1. 2.5.31 qlogic error "this should not happen"

While running bonnie++ with 2.5.31 and 2.5.31-mm1,
a quad xeon with QLogic Corp. QLA2200 (rev 05)
stopped responding.  These were the last lines
in /var/log/messages before the box was rebooted.

kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 7d
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 18
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 33
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 33
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 69
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 69
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 4
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 1f
kernel: qlogicfc0 : no handle slots, this should not happen.
kernel: hostdata->queued is 6, in_ptr: 3a

This is the qlogic config:
# CONFIG_SCSI_QLOGIC_FAS is not set
CONFIG_SCSI_QLOGIC_ISP=y
CONFIG_SCSI_QLOGIC_FC=y
# CONFIG_SCSI_QLOGIC_FC_FIRMWARE is not set
# CONFIG_SCSI_QLOGIC_1280 is not set

The same config works fine on 2.4.

Anyone know if the newer qlogic driver compatible with 2.5?
http://marc.theaimsgroup.com/?l=linux-kernel&m=102919565520122&w=2

--
Randy Hron
http://home.earthlink.net/~rwhron/kernel/bigbox.html

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

2. SecuritySearch.Net Vulnerability Report - July 15, 2000

3. USB driver conversion to "struct device_driver" for 2.5.31

4. Watch for process start

5. "fully HT-aware scheduler" support, 2.5.31-BK-curr

6. DNS-HOWTO

7. cracker laws -cthulu solution

8. qlogic "this should not happen"

9. Compile error on 2.5.31 with CONFIG_SOFTWARE_SUSPEND

10. linux 2.5.31 - compile error with pnpbios in pnpbios_core.c

11. 2.5.31 : fs/intermezzo/vfs.c compile error

12. still ati fb errors with 2.5.31, thought patch applied